Package ghidra.features.bsim.query.client

# Class SQLEffects

java.lang.Object
ghidra.features.bsim.query.client.SQLEffects

public class SQLEffects extends Object
Container for collecting and sorting SQL string representations of FilterTemplates

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLEffects()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFunctionFilter(int flag, boolean val)`
  `void`
  `addLink(String value)`
  `void`
  `addWhere(BSimFilterType filter, String val)`
  `static BSimSqlClause`
  `createFilter(BSimFilter exeFilter, IDSQLResolution[] idres, SQLFunctionDatabase db)`
  Given a general ExecutableFilter object, return a set of matching SQL string pieces, ready to be pasted into the full SQL statement.
  `void`
  `setExeTable()`
  `void`
  `setPathTable()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SQLEffects

    public SQLEffects()

- ## Method Details

  - ### setExeTable

    public void setExeTable()

  - ### setPathTable

    public void setPathTable()

  - ### addFunctionFilter

    public void addFunctionFilter(int flag, boolean val)

  - ### addLink

    public void addLink(String value)

  - ### addWhere

    public void addWhere(BSimFilterType filter, String val)

  - ### createFilter

    public static BSimSqlClause createFilter(BSimFilter exeFilter, IDSQLResolution[] idres, SQLFunctionDatabase db) throws SQLException
    Given a general ExecutableFilter object, return a set of matching SQL string pieces, ready to be pasted into the full SQL statement. The routine is handed an array of IDResolution references matching individual FilterAtoms as returned by ExecutableFilter.getAtom(i). The IDResolution, if non-null, holds any pre-calculated ids associated with the corresponding FilterAtom
    Parameters:
      `exeFilter` - is the general filter
      `idres` - is the array holding pre-calculated ids
      `db` - SQL function database
    Returns:
      BSimFilterSQL, holding the table clause and the where clause
    Throws:
      `SQLException` - for errors building the SQL clause